/*****************************************************************************/

/*
 *      osremote.h -- REALmagic remote control client linux specific headers
 *
 *      Copyright (C) 1999-2000 Sigma Designs
 *                   written by Emmanuel Michon <emmanuel_michon@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <termio.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/time.h>
#include <errno.h>
#include <pthread.h>
#include <getopt.h>

typedef unsigned long ULONG;
typedef int PORTHANDLE;

extern int command_line_switch_YUV;
extern int command_line_switch_NTSC;
extern int command_line_switch_PAL;
extern int command_line_switch_RGB;

#define _DEFINE_FMP_TYPES_
