/*****************************************************************************/

/*
 *      adjustborderCB.h -- REALmagic calibration application 
 *
 *      Copyright (C) 2000 Sigma Designs
 *                    written by Nicolas Vignal <nicolas_vignal@sdesigns.com>
 *                    modified by Emmanuel Michon <emmanuel_michon@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ADJUSTBORDERCB_H__
#define __ADJUSTBORDERCB_H__

#include <gtk/gtk.h>
#include <gdk/gdktypes.h>

void WindowMove					 ( GtkWidget *widget, gpointer   data );
void BA_Ok_clicked			 ( GtkWidget *widget, gpointer   data );
void BA_Cancel_clicked	 ( GtkWidget *widget, gpointer   data );
void BA_Adjust_clicked	 ( GtkWidget *widget, gpointer   data );
void BA_Default_clicked	 ( GtkWidget *widget, gpointer   data );

void BA_left_pressed     ( GtkWidget *widget, gpointer   data );
void BA_right_pressed		 ( GtkWidget *widget, gpointer   data );
void BA_wideup_pressed	 ( GtkWidget *widget, gpointer   data );
void BA_down_pressed		 ( GtkWidget *widget, gpointer   data );
void BA_up_pressed			 ( GtkWidget *widget, gpointer   data );
void BA_widedown_pressed ( GtkWidget *widget, gpointer   data );

void BA_Stability_changed( GtkWidget *widget, gpointer   data );

void BA_position_focus   ( GtkWidget *widget, gpointer   data );

void BA_init_stability   ( GtkWidget *widget );
#endif /* ADJUSTBORDER */
