/*****************************************************************************/

/*
 *      handlecdda.h -- REALmagic CDDA playing primitives header
 *
 *      Copyright (C) 2001 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/

#ifndef __HANDLECDDA_H__
#define __HANDLECDDA_H__


void handle_Stop_Close_cdda(INFO *);
void handle_FForward_cdda(INFO *);
void handle_FRewind_cdda(INFO *);
void handle_Prev_Track_cdda(INFO *);
void handle_Next_Track_cdda(INFO *);
void retrieveInfo_cdda(INFO*);
void handle_Search_cdda(INFO *);


#endif /* HANDLECDDA_H */
