/*****************************************************************************/
/*  From XMMS - Cross-platform multimedia player
 *  
 *  addfilesbrowser.h - playlist's 'addfiles' callbacks
 *
 *  Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *                           modified by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*****************************************************************************/
#ifndef __ADDFILESBROWSER_H__
#define __ADDFILESBROWSER_H__

void create_add_files_browser(gboolean);
void filebrowser_add_files(GtkFileSelection *);
void filebrowser_ok(GtkWidget *, GtkWidget *);
void filebrowser_add_selected_files(GtkWidget *, gpointer);
void filebrowser_add_all_files(GtkWidget *, gpointer);
int int_compare_func(gconstpointer, gconstpointer);
void filebrowser_changed(GtkWidget *, GtkFileSelection *);
gboolean util_filebrowser_is_dir(GtkFileSelection *);
 
#endif /* ADDFILESBROWSER_H */ 
