/********************************************************************************************************/
/*
 *  manageconfig.h - Load/Save the app parameters (header file)
 *
 *  Copyright (C) 2001-2002  Sigma Designs
 *                           written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/***********************************************************************************************************/
#ifndef __MANAGECONFIG_H__
#define __MANAGECONFIG_H__

#define FMP_SECTION       "General"
#define LOCALFILE_SECTION "LocalFile"
#define RTSPURL_SECTION   "RtspStreaming"

gboolean load_fmp_config(FMPOVERLAYVDO *);
gboolean save_fmp_config(FMPOVERLAYVDO);
gboolean load_localfile_config(INFO *);
gboolean save_localfile_config(INFO);
gboolean load_playlist(gchar *);
gboolean save_playlist(gchar *);

#endif /* __MANAGECONFIG_H__ */
