/********************************************************************************************************/
/*
 *  playlistfile.h - Utility functions header
 *  
 *  Copyright (C) 1998-2000  Sigma Designs
 *                           written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/***********************************************************************************************************/
#ifndef __PLAYLISTFILE_H__
#define __PLAYLISTFILE_H__

#define PLAYLISTFILE_EXTENSION ".playlist"

gboolean playlist_write_file(GtkCList *, gint, gchar *);
gchar *playlist_get_default_filename(void);
gboolean playlist_open_file(GtkCList *, gchar *);
gboolean playlist_open_default_file(GtkCList *);
gboolean playlist_write_default_file(GtkCList *, gint );

#ifdef __cplusplus
};
#endif

#endif
