/*****************************************************************************/

/*
 *      dummy.c -- MPEG server on top of the NetStream 2000 driver
 *
 *      Copyright (C) 2000 Sigma Designs
 *                    written by Nicolas Vignal <nicolas_vignal@sdesigns.com>
 *                    modified by Emmanuel Michon <emmanuel_michon@sdesigns.com>
 *                                Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/
#include <stdlib.h>
#include <unistd.h>

#define _DEFINE_FMP_TYPES_
#include "fmp.h"
#include "mpegsrv.h"

int get_out_of_dummy = 0;

int main(int argc,char **argv)
{
  MPEGDriverEntry(NO_DRIVE);
  FMPcreatemessagequeue();
  while (!get_out_of_dummy) sleep(1);
  return 0;
}
