/*****************************************************************************/
/*
 *      handlemsg.h -- playlist GTK+ callbacks
 *
 *      Copyright (C) 2001-2002 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/
#ifndef __HANDLEMSG_H__
#define __HANDLEMSG_H__

#define MSG_DIRECT -1

typedef enum _MSG_ID_
{
  MSG_ERROR,
  MSG_PLAY,
  MSG_PAUSE,
  MSG_STOP,
  MSG_OPEN,
  MSG_CLOSE,
  MSG_REVERSE,
  MSG_NEXT,
  MSG_BACK,
  MSG_SKIP,
  MSG_FF,
  MSG_FR,
  MSG_SR,
  MSG_SF,
  MSG_LOADING
}MSG_ID;

guint push_msg_statusbar(gchar *);
void pop_msg_statusbar(gboolean, guint);
DWORD lockedDisplayMsg(char *);
DWORD displayMsg(int, gchar *);
DWORD displayRepeatModeMsg(char *);

#endif /* HANDLEMSG_H */
